> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.neetoform.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create form

> Create a form.

<Info>Replace `{your-subdomain}` with your workspace’s subdomain. <br /> Learn how to find your subdomain in [Workspace subdomain](/getting-started/workspace-subdomain).</Info>


## OpenAPI

````yaml bundled/forms.yaml POST /forms
openapi: 3.0.3
info:
  title: NeetoForm APIs
  version: 2.0.0
servers:
  - description: NeetoForm APIs
    url: https://{your-subdomain}.neetoform.com/api/external/v2
    variables:
      your-subdomain:
        default: spinkart
        description: >-
          Replace **spinkart** with your [workspace's
          subdomain](/getting-started/workspace-subdomain).
security: []
paths:
  /forms:
    post:
      tags:
        - Forms
      summary: Create a form
      description: Create a form.
      parameters:
        - $ref: '#/components/parameters/api_key_header'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - form
              properties:
                form:
                  type: object
                  required:
                    - title
                    - created_by_email
                  properties:
                    title:
                      type: string
                      description: Title of the form.
                      example: Customer Feedback Form
                    created_by_email:
                      type: string
                      format: email
                      description: >-
                        Email of an active workspace member who will be set as
                        the form creator.
                      example: oliver@example.com
      responses:
        '201':
          description: Created - Form created successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  form:
                    $ref: '#/components/schemas/form'
components:
  parameters:
    api_key_header:
      in: header
      name: X-Api-Key
      description: >-
        Use the X-Api-Key header to provide your workspace API key. Refer to
        [Authentication](/getting-started/authentication) for more information.
      required: true
      schema:
        type: string
        default: your-api-key
  schemas:
    form:
      type: object
      properties:
        id:
          type: string
        title:
          type: string
        is_published:
          type: boolean
        state:
          type: string
        created_at:
          $ref: '#/components/schemas/date_time_field'
        updated_at:
          $ref: '#/components/schemas/date_time_field'
        submissions_count:
          type: integer
        attempt_url:
          type: string
        is_archived:
          type: boolean
        is_disabled:
          type: boolean
        is_suspended:
          type: boolean
        created_by:
          type: string
    date_time_field:
      type: string
      format: date-time

````